if [[ $1 == '' ]]
then
 echo 'needs a parameter: producer'
 exit
fi  

mkdir large
mkdir small
mkdir large_single
mkdir small_single
mkdir htm 
mkdir tab
ln -s ~/fixtures/lum.png ./
sed -r "s/PRODUCER/$1/" ~/fixtures/all_5all.head > all_5.htm
sed -r "s/PRODUCER/$1/" ~/fixtures/all_singleall.head > all_single.htm
sed -r "s/PRODUCER/$1/" ~/fixtures/READMEall.head > README.html

for H in ies/*.ies
do
 G=${H/ies\/}
 F=${G/\.ies}
 ~/bin/ies2tab -cm2 -n$F.ppm -rv90 -rh5 -co $H >/dev/null
 convert $F.ppm small/$F.png
 ~/bin/ies2tab -ic  -n$F.ppm -mi -la15 -rv90 -rh5 -co $H >tab/$F.txt
 convert $F.ppm large/$F.png
 ~/bin/ies2tab -cm2 -n$F.ppm  $H >/dev/null
 convert $F.ppm small_single/$F.png
 ~/bin/ies2tab      -n$F.ppm  $H >/dev/null
 convert $F.ppm large_single/$F.png
 rm $F.ppm
 ~/bin/ies2tab  -l -mi -la15 $H >> sli65-70.txt
 echo "<A href=\"htm/$F.htm\"><img SRC=\"small/$F.png\">" >>all_5.htm 
 echo "<A href=\"htm/$F.htm\"><img SRC=\"small_single/$F.png\">" >>all_single.htm 
done

sed -r "s/PRODUCER/$1/" ~/fixtures/allall.head > all.txt
sed -rn "/^.+$/{
s/    ([ 1][0-9])/  \1/
s|ies/||
s/\.ies//p}" sli65-70.txt >> all.txt

sed -rn "/^.+$/{s|ies/||; s/\.ies//p
                 }" sli65-70.txt | sort -k 9 -r -n > sli70.txt
sed -r "s/PRODUCER/$1/" ~/fixtures/all_5_70all.head > all_5_70.htm
sed  -r '
s|.+ ([a-zA-Z0-9_-]+) *$|<A href=\"htm/\1.htm\"><img SRC=\"small/\1.png\">|
' sli70.txt >> all_5_70.htm		 

sed -r "s/PRODUCER/$1/" ~/fixtures/sli70all.head > sli70.txt
sed -rn "/^.+$/{s|ies/||; s/\.ies//p
                 }" sli65-70.txt | sort -k 9 -r -n >> sli70.txt

sed -r "s/PRODUCER/$1/" ~/fixtures/sli65all.head > sli65.txt
sed -rn "/^.+$/{s|ies/||; s/\.ies//p
                 }" sli65-70.txt | sort -k 8 -r -n >> sli65.txt

sed -r "s/PRODUCER/$1/" ~/fixtures/sli_maxall.head > sli_max.txt
sed -rn "/^.+$/{s|ies/||; s/\.ies//p
                 }" sli65-70.txt | sort -k 10 -r -n >> sli_max.txt

htm_im6.sh 

zip -r all large large_single small small_single htm sli70* sli65.txt \
 sli_max* all*.txt all*.htm README.html
 